restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< T, Is_Producer, Current_Index > Struct Template Reference

`#include <easy_parser_router.hpp>`

## Public Types

using | clause_type = T

## Static Public Attributes

static constexpr std::size_t | next_index = Current_Index

## Detailed Description

template<typename T, bool Is_Producer, std::size_t Current_Index>
struct restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< T, Is_Producer, Current_Index >

Definition at line 376 of file easy_parser_router.hpp.

## Member Typedef Documentation

## clause_type

template<typename T , bool Is_Producer, std::size_t Current_Index>

using restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< T, Is_Producer, Current_Index >::clause_type = T

Definition at line 378 of file easy_parser_router.hpp.

## Member Data Documentation

## next_index

template<typename T , bool Is_Producer, std::size_t Current_Index>

constexpr std::size_t restinio::router::easy_parser_router::impl::dsl_details::one_clause_type_processor< T, Is_Producer, Current_Index >::next_index = Current_Index

staticconstexpr

Definition at line 379 of file easy_parser_router.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/easy_parser_router.hpp